Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.aamanager
Interface DefaultAAManagerMBean

All Superinterfaces:
  ComponentMBean

All Known Implementing Classes:
  DefaultAAManager

    public interface DefaultAAManagerMBean

extends ComponentMBean

DefaultAAManager 컴포넌트를 위한 MBean 인터페이스

Since:
  2.0
Author:
  최범균

Method Summary
`java.lang.String` | `getAuthenticatorClassName()` Authenticator 구현체 클래스의 이름을 구한다.
`java.lang.String` | `getRoleManagerClassName()` RoleManager 구현체 클래스의 이름을 구한다.
`java.lang.String` | `getServiceManagerClassName()` ServiceManager 구현체 클래스의 이름을 구한다.
`java.lang.String` | `getSessionManagerClassName()` SessionManager 구현체 클래스의 이름을 구한다.
`java.lang.String` | `getUserManagerClassName()` UserManager 구현체 클래스의 이름을 구한다.
`void` | `reloadServiceConfiguration()` ServiceManager와 관련된 설정 정보를 리로딩한다.

Methods inherited from interface tle.framework.component.ComponentMBean
`getDescription, getID, getState`

Method Detail

### getRoleManagerClassName

    java.lang.String getRoleManagerClassName()

  RoleManager 구현체 클래스의 이름을 구한다.

### getServiceManagerClassName

    java.lang.String getServiceManagerClassName()

  ServiceManager 구현체 클래스의 이름을 구한다.

### getSessionManagerClassName

    java.lang.String getSessionManagerClassName()

  SessionManager 구현체 클래스의 이름을 구한다.

### getUserManagerClassName

    java.lang.String getUserManagerClassName()

  UserManager 구현체 클래스의 이름을 구한다.

### getAuthenticatorClassName

    java.lang.String getAuthenticatorClassName()

  Authenticator 구현체 클래스의 이름을 구한다.

### reloadServiceConfiguration

    void reloadServiceConfiguration()
                                    throws AAManagerException

  ServiceManager와 관련된 설정 정보를 리로딩한다.

  Throws:
    `AAManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD